Bug 467631 - Tremulous segfaults
Tremulous segfaults
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tremulous (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 13:49 EDT by Ian Weller
Modified: 2008-10-25 14:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-25 14:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb output from running tremulous (7.62 KB, text/plain)
2008-10-19 13:49 EDT, Ian Weller
no flags Details

  None (edit)
Description Ian Weller 2008-10-19 13:49:25 EDT
Created attachment 320811 [details]
gdb output from running tremulous

Description of problem:
Tremulous does not start properly on latest Rawhide (Oct 19 2008).

Version-Release number of selected component (if applicable):
tremulous-1.1.0-6.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
1. Start tremulous
2. ???
3. No profit!
  
Actual results:
Segmentation fault, but the program doesn't exit itself

Expected results:
Proper running

Additional info:
See attachment for gdb debug.

This also affects recently-compiled tremulous forks (i.e., tremfusion).
Comment 1 Ian Weller 2008-10-19 13:52:37 EDT
FYI, I just tested on the Fedora 9 release (not updated), works perfectly.
Comment 2 Ian Weller 2008-10-23 18:33:39 EDT
In reply to change from rawhide to 9: No, this is a rawhide bug; there is no problem on Fedora 9. But I'll leave it as is.

Interestingly, on rawhide, turning off desktop effects appears to fix the problem.
Comment 3 Peter Gordon 2008-10-23 22:38:30 EDT
Thanks for the bug report. Unfortunately the only rawhide access I have is to a KVM instance, so testing a 3D game like Trem is almost certainly a no-go. 

Do other 3D-intensive games also crash when using the desktop effects stuff? 

Also, does toggling full-screen mode workaround this?
Comment 4 Ian Weller 2008-10-25 14:49:22 EDT
Oddly enough, it's started to work with desktop effects turned on. Not sure what's changed. Closing.

Note You need to log in before you can comment on or make changes to this bug.